package com.loafle.overflow.module.notification.service;

import com.loafle.overflow.commons.model.PageParams;
import com.loafle.overflow.commons.utils.PageUtil;
import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.notification.dao.NotificationDAO;
import com.loafle.overflow.module.notification.model.Notification;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 8. 25.
 */
@Service("NotificationService")
public class NotificationService {

    @Autowired
    private NotificationDAO notificationDAO;

    public Notification regist(Notification notification) {
        return this.notificationDAO.save(notification);
    }

    public Page<Notification> readAllByMember(Member member, PageParams pageParams) {
        return this.notificationDAO.findAllByMember(member, PageUtil.getPageRequest(pageParams));
    }

    public Page<Notification> readAllUnconfirmedByMember(Member member,  PageParams pageParams) {
        return this.notificationDAO.findAllUnconfirmedByMember(member, PageUtil.getPageRequest(pageParams));
    }

    public int readUnconfirmedCount(Member member) {
        return this.notificationDAO.findAllUnconfirmedCountByMember(member);
    }
}
